## laptop-netconf 0.9-1.1

=== Makefile ===
ifdef FINAL
CFLAGS := -O3
else
CFLAGS := -g
endif

DEFINES := $(shell libnet-config --defines)
LIBS := $(shell libnet-config --libs) -lpcap -lpthread
CFLAGS := $(shell libnet-config --cflags) $(CFLAGS)


prefix := /usr
sysconfdir := /etc


all: laptop-netconf

laptop-netconf: laptop-netconf.c
	gcc  $(DEFINES) $(CFLAGS) laptop-netconf.c $(LIBS) -o laptop-netconf
ifdef FINAL
	strip --remove-section=.notes --remove-section=.comments laptop-netconf
endif

clean:
	rm -f laptop-netconf

install: laptop-netconf
	install -d -o root -g root -m 0755 $(prefix)/sbin $(sysconfdir)/laptop-netconf
	install -o root -g root -m 0755 laptop-netconf $(prefix)/sbin/laptop-netconf
	install -o root -g root -m 0644 opts $(sysconfdir)/laptop-netconf/opts
	install -o root -g root -m 0755 default home office $(sysconfdir)/laptop-netconf/

=== debian/changelog ===
laptop-netconf (0.9-1.1) unstable; urgency=low

  * NMU.
  * Add Build-Depends.  Closes: #94494, #104953.

 -- LaMont Jones <lamont@debian.org>  Sun, 30 Dec 2001 01:22:32 -0700

laptop-netconf (0.9-1) unstable; urgency=low

  * Initial Release.

 -- Matt Kern <matt@debian.org>  Fri, 13 Apr 2001 12:53:39 +0100

Local variables:
add-log-mailing-address: "matt@debian.org"
End:

=== debian/control ===
Source: laptop-netconf
Section: net
Priority: optional
Maintainer: Matt Kern <matt@debian.org>
Build-Depends: debhelper, libnet0-dev, libpcap-dev
Standards-Version: 3.1.1

Package: laptop-netconf
Architecture: any
Depends: ${shlibs:Depends}
Description: network detection and configuration program for laptops
 laptop-netconf can automatically determine the network to which
 your laptop is connected, from a set of preconfigured alternatives.
 .
 Once the network has been detected, you can run arbitrary scripts
 to configure the services on your laptop for correct local operation.
 .
 This package requires some basic networking knowledge at present.
 A sample configuration is enclosed.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GPL copyright 1997 to 1999 by Joey Hess.
# Adapted for laptop-netconf.
# Changes GPL copyright 2001 by Matt Kern.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

PWD := $(shell pwd)

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) FINAL=1
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	-$(MAKE) clean
	dh_clean

install: build install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) prefix=$(PWD)/debian/tmp/usr sysconfdir=$(PWD)/debian/tmp/etc install
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## laptop-netconf 0.9.6

=== debian/changelog ===
laptop-netconf (0.9.6) unstable; urgency=low

  * Fix postinst problem under sid.  Closes: #177246.

 -- Matt Kern <matt@debian.org>  Sat, 18 Jan 2003 13:26:23 +0000

laptop-netconf (0.9.5) unstable; urgency=low

  * Added configuration file (synced with debconf).

 -- Matt Kern <matt@debian.org>  Thu, 16 Jan 2003 12:19:51 +0000

laptop-netconf (0.9.4) unstable; urgency=low

  * Fix buildd failure.  Closes: #176854.

 -- Matt Kern <matt@debian.org>  Wed, 15 Jan 2003 14:16:36 +0000

laptop-netconf (0.9.3) unstable; urgency=low

  * Changed priority from optional to extra.

 -- Matt Kern <matt@debian.org>  Tue, 14 Jan 2003 22:09:24 +0000

laptop-netconf (0.9.2) unstable; urgency=low

  * Uploaded incorrect version.
  * Additional conffile changes.

 -- Matt Kern <matt@debian.org>  Tue, 14 Jan 2003 21:21:15 +0000

laptop-netconf (0.9.1) unstable; urgency=low

  * Major rebuild and upload.  Closes: #156180, #137345.
  * Prevent accidental erasure of configuration files.  Closes: #166668.
  * Includes init script.  Closes: #166532.

 -- Matt Kern <matt@debian.org>  Tue, 14 Jan 2003 14:54:31 +0000

=== debian/control ===
Source: laptop-netconf
Section: net
Priority: extra
Maintainer: Matt Kern <matt@debian.org>
Build-Depends: debhelper, libnet0-dev, libpcap-dev
Standards-Version: 3.5.6

Package: laptop-netconf
Architecture: any
Depends: ${shlibs:Depends}, debconf
Description: network detection and configuration program for laptops
 laptop-netconf can automatically determine, from a set of
 preconfigured alternatives, the network to which your laptop is
 connected.
 .
 Once the network has been detected, you can run arbitrary scripts
 to configure the services on your laptop for correct local operation.
 .
 This package requires some basic networking knowledge and scripting
 ability at present.  A sample configuration is enclosed.

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	$(MAKE) prefix=$(PWD)/debian/tmp/usr sysconfdir=$(PWD)/debian/tmp/etc install
+	$(MAKE) FINAL=1 prefix=$(PWD)/debian/tmp/usr sysconfdir=$(PWD)/debian/tmp/etc install
 	touch install-stamp
 
 # Build architecture-independent files here.
@@ -43,14 +43,16 @@
 #	dh_testversion
 	dh_testdir
 	dh_testroot
-#	dh_installdebconf	
+	dh_installdebconf	
 	dh_installdocs
 	dh_installexamples
 	dh_installmenu
 #	dh_installemacsen
 #	dh_installpam
 #	dh_installmime
-#	dh_installinit
+	dh_installinit -- start 41 S . start 36 0 6 .
+	sed '/Automatically added by dh_installinit/,/^fi/s/^/# /' <debian/prerm.debhelper >debian/prerm.debhelper.tmp  &&  mv -f debian/prerm.debhelper.tmp debian/prerm.debhelper
+	if grep -q invoke-rc.d debian/postinst.debhelper; then sed '/if.*invoke-rc.d/,/fi/s/^/# /' <debian/postinst.debhelper >debian/postinst.debhelper.tmp  &&  mv -f debian/postinst.debhelper.tmp debian/postinst.debhelper; else sed '/\/etc\/init.d\/laptop-netconf \+start/s/^/# /' <debian/postinst.debhelper >debian/postinst.debhelper.tmp  &&  mv -f debian/postinst.debhelper.tmp debian/postinst.debhelper; fi
 	dh_installcron
 	dh_installmanpages
 	dh_installinfo

## laptop-netconf 0.9.6.1

=== debian/changelog ===
laptop-netconf (0.9.6.1) unstable; urgency=low

  * Non-maintainer upload
  * debian/control: changed build-dependency on libpcap-dev to libpcap0.8-dev
    to resolve conflict (closes: #261939)

 -- Andrew Pollock <apollock@debian.org>  Tue, 26 Oct 2004 12:48:58 +1000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: extra
 Maintainer: Matt Kern <matt@debian.org>
-Build-Depends: debhelper, libnet0-dev, libpcap-dev
+Build-Depends: debhelper, libnet0-dev, libpcap0.8-dev
 Standards-Version: 3.5.6
 
 Package: laptop-netconf

## laptop-netconf 0.9.6.4

=== debian/changelog ===
laptop-netconf (0.9.6.4) unstable; urgency=low

  * QA upload.
  * Update debconf dependency to allow for cdebconf.
  * debian/po/pt.po: Add translation by Miguel Figueiredo.  Closes: #330254.

 -- Matej Vela <vela@debian.org>  Tue, 27 Sep 2005 13:11:39 +0200

laptop-netconf (0.9.6.3) unstable; urgency=low

  * QA upload.
  * laptop-netconf.c (receive_arp_replies): Compare binary addresses
    using memcmp rather than strncmp.  Thanks to Sergio Gelato.
    Closes: #217029.
  * debian/po/cs.po: Add translation by Miroslav Kure.  Closes: #327109.
  * Conforms to Standards version 3.6.2.

 -- Matej Vela <vela@debian.org>  Tue, 13 Sep 2005 02:22:30 +0200

laptop-netconf (0.9.6.2) unstable; urgency=low

  * QA Group upload orphaning this package
  * Applied patch from Martin Quinson to switch to gettext based debconf
    templates (closes: #250265)
  * Incorporates previous NMUs (closes: #94494, #261939, #104953)
  * debian/rules: raise DH_COMPAT level to 3
  * debian/control: build-depend on libpcap0.8-dev instead of libpcap-dev
  * debian/conffiles: removed, as debhelper made it redundant
  * debian/copyright: mention location of the GPL
  * debian/postinst: removed bashisms

 -- Andrew Pollock <apollock@debian.org>  Tue,  6 Sep 2005 13:08:41 +1000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: laptop-netconf
 Section: net
 Priority: extra
-Maintainer: Matt Kern <matt@debian.org>
-Build-Depends: debhelper, libnet0-dev, libpcap0.8-dev
-Standards-Version: 3.5.6
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>= 4.1.16), libnet0-dev, libpcap0.8-dev
+Standards-Version: 3.6.2
 
 Package: laptop-netconf
 Architecture: any
-Depends: ${shlibs:Depends}, debconf
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: network detection and configuration program for laptops
  laptop-netconf can automatically determine, from a set of
  preconfigured alternatives, the network to which your laptop is

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=1
+export DH_COMPAT=3
 
 PWD := $(shell pwd)
 
@@ -24,6 +24,7 @@
 	rm -f build-stamp install-stamp
 	-$(MAKE) clean
 	dh_clean
+	debconf-updatepo
 
 install: build install-stamp
 install-stamp:
@@ -31,7 +32,7 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	$(MAKE) FINAL=1 prefix=$(PWD)/debian/tmp/usr sysconfdir=$(PWD)/debian/tmp/etc install
+	$(MAKE) FINAL=1 prefix=$(PWD)/debian/laptop-netconf/usr sysconfdir=$(PWD)/debian/laptop-netconf/etc install
 	touch install-stamp
 
 # Build architecture-independent files here.
@@ -50,9 +51,10 @@
 #	dh_installemacsen
 #	dh_installpam
 #	dh_installmime
-	dh_installinit -- start 41 S . start 36 0 6 .
-	sed '/Automatically added by dh_installinit/,/^fi/s/^/# /' <debian/prerm.debhelper >debian/prerm.debhelper.tmp  &&  mv -f debian/prerm.debhelper.tmp debian/prerm.debhelper
-	if grep -q invoke-rc.d debian/postinst.debhelper; then sed '/if.*invoke-rc.d/,/fi/s/^/# /' <debian/postinst.debhelper >debian/postinst.debhelper.tmp  &&  mv -f debian/postinst.debhelper.tmp debian/postinst.debhelper; else sed '/\/etc\/init.d\/laptop-netconf \+start/s/^/# /' <debian/postinst.debhelper >debian/postinst.debhelper.tmp  &&  mv -f debian/postinst.debhelper.tmp debian/postinst.debhelper; fi
+	dh_installinit --no-start -- start 41 S . start 36 0 6 .
+	# I think the follow lines can be achieved with --no-start above
+	#-#sed '/Automatically added by dh_installinit/,/^fi/s/^/# /' <debian/prerm.debhelper >debian/prerm.debhelper.tmp  &&  mv -f debian/prerm.debhelper.tmp debian/prerm.debhelper
+	#-#if grep -q invoke-rc.d debian/postinst.debhelper; then sed '/if.*invoke-rc.d/,/fi/s/^/# /' <debian/postinst.debhelper >debian/postinst.debhelper.tmp  &&  mv -f debian/postinst.debhelper.tmp debian/postinst.debhelper; else sed '/\/etc\/init.d\/laptop-netconf \+start/s/^/# /' <debian/postinst.debhelper >debian/postinst.debhelper.tmp  &&  mv -f debian/postinst.debhelper.tmp debian/postinst.debhelper; fi
 	dh_installcron
 	dh_installmanpages
 	dh_installinfo

## laptop-netconf 0.9.6.6

=== debian/changelog ===
laptop-netconf (0.9.6.6) unstable; urgency=low

  * QA upload.
  * Add German Debconf Translation, thanks Helge Kreutzmann
    Closes: #396923
  * Conforms with latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Mon,  6 Nov 2006 08:34:41 +0100

laptop-netconf (0.9.6.5) unstable; urgency=low

  * QA upload.
  * Add Swedish debconf translation (Closes: #333063).
  * Add French debconf translation (Closes: #356097).

 -- Luk Claes <luk@debian.org>  Sun,  1 Oct 2006 16:55:12 +0200

## laptop-netconf 0.9.6.7

=== Makefile ===
ifdef FINAL
CFLAGS := -O3
else
CFLAGS := -g
endif

DEFINES := $(shell libnet-config --defines)
LIBS := $(shell libnet-config --libs) -lpcap -lpthread
CFLAGS := $(shell libnet-config --cflags) $(CFLAGS) -D_REENTRANT


prefix := /usr
sysconfdir := /etc


all: laptop-netconf

laptop-netconf: laptop-netconf.c
	gcc  $(DEFINES) $(CFLAGS) laptop-netconf.c $(LIBS) -o laptop-netconf
ifdef FINAL
	strip --remove-section=.notes --remove-section=.comments laptop-netconf
endif

clean:
	rm -f laptop-netconf

install: laptop-netconf
	install -d -o root -g root -m 0755 $(prefix)/sbin $(sysconfdir)/laptop-netconf $(prefix)/lib/laptop-netconf
	install -o root -g root -m 0755 laptop-netconf $(prefix)/lib/laptop-netconf/laptop-netconf
	install -o root -g root -m 0755 wrapper $(prefix)/sbin/laptop-netconf
	install -o root -g root -m 0644 opts resolv.conf.home resolv.conf.office resolv.conf.default interfaces.home interfaces.office interfaces.default $(sysconfdir)/laptop-netconf/
	install -o root -g root -m 0755 default home office $(sysconfdir)/laptop-netconf/

=== debian/changelog ===
laptop-netconf (0.9.6.7) unstable; urgency=low

  * QA upload.
  * Add Spanish po-debconf translation (Closes: #414996)

 -- Michael Ablassmeier <abi@debian.org>  Mon, 26 Mar 2007 15:12:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: extra
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 4.1.16), libnet0-dev, libpcap0.8-dev
-Standards-Version: 3.6.2
+Build-Depends: debhelper (>= 4.1.16), libnet0-dev, libpcap0.8-dev, po-debconf
+Standards-Version: 3.7.2
 
 Package: laptop-netconf
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GPL copyright 1997 to 1999 by Joey Hess.
# Adapted for laptop-netconf.
# Changes GPL copyright 2001 by Matt Kern.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PWD := $(shell pwd)

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) FINAL=1
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	-$(MAKE) clean
	dh_clean
	debconf-updatepo

install: build install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) FINAL=1 prefix=$(PWD)/debian/laptop-netconf/usr sysconfdir=$(PWD)/debian/laptop-netconf/etc install
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installinit --no-start -- start 41 S . start 36 0 6 .
	dh_installcron
	dh_installman laptop-netconf.8
	dh_installinfo
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## laptop-netconf 0.9.6.8

=== debian/changelog ===
laptop-netconf (0.9.6.8) unstable; urgency=low

  * QA upload.
  * Add LSB header to init.d script (Closes: #458487).
  * Do not ignore 'make clean' failure.  It should always work.
  * Update standards-version from 3.7.2 to 3.7.3.  No change needed.
  * Use default variable $(CURDIR) instead of $(PWD) in debian/rules.
  * Debconf template translations:
    - Add Catalog from  Miguel Gea Milvaques (Closes: #437303).
    - Add Brazilian Portuguese from Marcelo Cavalcante Rocha (Closes: #439138).
    - Add Dutch from Bark Cornelis (Closes: #448122).

 -- Petter Reinholdtsen <pere@debian.org>  Sun,  6 Jan 2008 12:51:53 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 4.1.16), libnet0-dev, libpcap0.8-dev, po-debconf
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
 
 Package: laptop-netconf
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-PWD := $(shell pwd)
 
 build: build-stamp
 build-stamp:
@@ -19,7 +17,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp install-stamp
-	-$(MAKE) clean
+	$(MAKE) clean
 	dh_clean
 	debconf-updatepo
 
@@ -29,7 +27,7 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	$(MAKE) FINAL=1 prefix=$(PWD)/debian/laptop-netconf/usr sysconfdir=$(PWD)/debian/laptop-netconf/etc install
+	$(MAKE) FINAL=1 prefix=$(CURDIR)/debian/laptop-netconf/usr sysconfdir=$(CURDIR)/debian/laptop-netconf/etc install
 	touch install-stamp
 
 # Build architecture-independent files here.
